Bug 82268 - Add support for the OpenRISC architecture (or1k)
Summary: Add support for the OpenRISC architecture (or1k)
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: 10.1
Hardware: Other All
: medium enhancement
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-06 22:23 UTC by manuel.montezelo
Modified: 2014-09-12 14:30 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
mesa-or1k.patch (651 bytes, text/plain)
2014-08-06 22:23 UTC, manuel.montezelo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description manuel.montezelo 2014-08-06 22:23:02 UTC
Created attachment 104182 [details]
mesa-or1k.patch

From Debian bug report: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=749172

From: Christian Svensson <debian@cmd.nu>
Date: Sat, 24 May 2014 21:37:01 +0200

Package: mesa
Version: 10.1.2
Severity: wishlist
Tags: upstream patch

Dear Maintainer,

This trivial patch adds support for or1k.
Comment 1 Matt Turner 2014-08-06 22:55:06 UTC
I think all of our supported platforms use IEEE floats. I'm just going to send a patch that codifies that assumption, rather than adding OpenRISC to the list-of-everything.
Comment 2 Andreas Boll 2014-09-12 14:30:53 UTC
Fixed with commit 50d5fc192b1558de048447498c876ff28a3433e6


bug/show.html.tmpl processed on Jan 22, 2017 at 22:21:08.
(provided by the Example extension).